## gdppay gdppay — Payloads GStreamer Data Protocol buffers |

## Synopsis

                        GstGDPPay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstGDPPay

## Properties

      "crc-header"               gboolean              : Read / Write
      "crc-payload"              gboolean              : Read / Write
      "version"                  GstDPVersion          : Read / Write

## Description

This element payloads GStreamer buffers and events using the GStreamer Data Protocol.

    gst-launch -v -m videotestsrc num-buffers=50 ! gdppay ! filesink location=test.gdp

This pipeline creates a serialized video stream that can be played back with the example shown in gdpdepay.

## Synopsis

### Element Information

plugin | gdp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | GDP/Payloader

### Element Pads

name | src
direction | source
presence | always
details | application/x-gdp

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstGDPPay

    typedef struct _GstGDPPay GstGDPPay;

Private gdppay element structure.

## Property Details

### The `"crc-header"` property

      "crc-header"               gboolean              : Read / Write

Calculate and store a CRC checksum on the header.

Default value: TRUE

### The `"crc-payload"` property

      "crc-payload"              gboolean              : Read / Write

Calculate and store a CRC checksum on the payload.

Default value: FALSE

### The `"version"` property

      "version"                  GstDPVersion          : Read / Write

Version of the GStreamer Data Protocol.

Default value: GDP Version 1.0

## See Also

gdpdepay